libevent 2.1.13 Event notification library

Loading...
Searching...
No Matches
evbuffer_ptr Struct Reference

Pointer to a position within an evbuffer. More...

`#include <buffer.h>`

## Data Fields
struct { |
void * chain |
size_t pos_in_chain |
} | internal_
ev_ssize_t | pos

## Detailed Description

Pointer to a position within an evbuffer.

Used when repeatedly searching through a buffer. Calling any function that modifies or re-packs the buffer contents may invalidate all evbuffer_ptrs for that buffer. Do not modify or contruct these values except with evbuffer_ptr_set.

An evbuffer_ptr can represent any position from the start of a buffer up to a position immediately after the end of a buffer.

See also
  evbuffer_ptr_set()

The documentation for this struct was generated from the following file:

- event2/buffer.h